;======================================================================
;           Keypad scancodes and group codes
;======================================================================

kReset          .equ 0ffh

Group1          .equ $FE
KDown           .equ 254
KLeft           .equ 253
KRight          .equ 251
KUp             .equ 247

Group2          .equ $FD
KEnter          .equ 254
KPlus           .equ 253
KMinus          .equ 251
KMul            .equ 247
KDiv            .equ 239
KPower          .equ 223
KClear          .equ 191

Group3          .equ $FB
kMinus2         .equ 254
kThree          .equ 253
kSix            .equ 251
kNine           .equ 247
kRbracket       .equ 239
kTan            .equ 223
kVars           .equ 191

Group4          .equ $F7
KPoint          .equ 254
KTwo            .equ 253
KFive           .equ 251
KEight          .equ 247
KLbracket       .equ 239
KCos            .equ 223
KPrgm           .equ 191
KStat           .equ 127

Group5          .equ $EF
KZero           .equ 254
KOne            .equ 253
KFour           .equ 251
KSeven          .equ 247
KComma          .equ 239
KSin            .equ 223
KApps           .equ 191
KGraphvar       .equ 127

Group6          .equ $DF
KSto            .equ 253
KLn             .equ 251
KLog            .equ 247
kX2             .equ 239
kX-1            .equ 223
kMath           .equ 191
kAlpha          .equ 127

Group7          .equ $BF
KGraph          .equ 254
KTrace          .equ 253
KZoom           .equ 251
KWindow         .equ 247
KY              .equ 239
k2nd            .equ 223
kMode           .equ 191
kDel            .equ 127

kMatrx          .equ kApps ; Compatibility
;======================================================================
;           Scan Code Equates
;======================================================================;
skDown          .equ 01h
skLeft          .equ 02h
skRight         .equ 03h
skUp            .equ 04h
skEnter         .equ 09h
skAdd           .equ 0Ah
skSub           .equ 0Bh
skMul           .equ 0Ch
skDiv           .equ 0Dh
skPower         .equ 0Eh
skClear         .equ 0Fh
skChs           .equ 11h
sk3             .equ 12h
sk6             .equ 13h
sk9             .equ 14h
skRParen        .equ 15h
skTan           .equ 16h
skVars          .equ 17h
skDecPnt        .equ 19h
sk2             .equ 1Ah
sk5             .equ 1Bh
sk8             .equ 1Ch
skLParen        .equ 1Dh
skCos           .equ 1Eh
skPrgm          .equ 1Fh
skStat          .equ 20h
sk0             .equ 21h
sk1             .equ 22h
sk4             .equ 23h
sk7             .equ 24h
skComma         .equ 25h
skSin           .equ 26h
skApps          .equ 27h
skGraphvar      .equ 28h
skStore         .equ 2Ah
skLn            .equ 2Bh
skLog           .equ 2Ch
skSquare        .equ 2Dh
skRecip         .equ 2Eh
skMath          .equ 2Fh
skAlpha         .equ 30h
skGraph         .equ 31h
skTrace         .equ 32h
skZoom          .equ 33h
skWindow        .equ 34h
skYEqu          .equ 35h
sk2nd           .equ 36h
skMode          .equ 37h
skDel           .equ 38h
skMatrx         .equ skApps ; Compatibility

